Bug 237742 - (Text-SimpleTable) Review Request: perl-Text-SimpleTable - Simple Eyecandy ASCII Tables
Review Request: perl-Text-SimpleTable - Simple Eyecandy ASCII Tables
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bernard Johnson
Fedora Package Reviews List
http://search.cpan.org/dist/Text-Simp...
:
Depends On:
Blocks: Catalyst-Runtime
  Show dependency treegraph
 
Reported: 2007-04-25 01:15 EDT by Chris Weyl
Modified: 2010-08-25 13:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-04 11:15:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bjohnson: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2007-04-25 01:15:14 EDT
SRPM URL: http://home.comcast.net/~ckweyl/perl-Text-SimpleTable-0.03-1.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Text-SimpleTable.spec

Description:
Simple eyecandy ASCII tables, as seen in Catalyst.
Comment 1 Chris Weyl 2007-04-25 01:16:27 EDT
This package is a prereq of the Catalyst framework.
Comment 2 Ralf Corsepius 2007-04-25 10:56:10 EDT
You are building with TEST_POD disabled:
...

t/02pod............skipped
        all skipped: set TEST_POD to enable this test
t/03podcoverage....skipped
        all skipped: set TEST_POD to enable this test
...

Enabling them reveals these bugs:

+ TEST_POD=1
+ ./Build test
t/01use............ok                                                        
t/02pod............ok                                                        
t/03podcoverage....NOK 1                                                     
#   Failed test 'Pod coverage on Text::SimpleTable'
#   in /usr/lib/perl5/vendor_perl/5.8.8/Test/Pod/Coverage.pm at line 126.
# Coverage for Text::SimpleTable is 66.7%, with 1 naked subroutine:
#       new
# Looks like you failed 1 test of 1.
t/03podcoverage....dubious                                                   
        Test returned status 1 (wstat 256, 0x100)
DIED. FAILED test 1
        Failed 1/1 tests, 0.00% okay
t/04tables.........ok                                                        
Failed Test       Stat Wstat Total Fail  Failed  List of Failed
-------------------------------------------------------------------------------
t/03podcoverage.t    1   256     1    1 100.00%  1
Failed 1/4 test scripts, 75.00% okay. 1/7 subtests failed, 85.71% okay.
error: Bad exit status from /var/tmp/rpm-tmp.78813 (%check)

Though Pod-tests are not really important, this doesn't necessarily provide
trust into this package's quality.
Comment 3 Bernard Johnson 2007-04-30 13:07:53 EDT
(In reply to comment #2)
> Though Pod-tests are not really important, this doesn't necessarily provide
> trust into this package's quality.
 
Well, IMHO any failure in %check is a blocker until it is known why the test
fails.  The tests are there for a reason.  If the test reveals a bug (in the
software package, not the buildsystem or Fedora) - and it is deemed minor to the
operation of the package, it should be reported upstream and the test failure
should be commented in the spec file as a known problem.

If the failure is a bug in the test itself or the test is invalid, the test
should be removed (with a proper comment in the spec file) or fixed.  It should
also be reported upstream.

Blindly ignoring failures is never a good thing.
Comment 4 Chris Weyl 2007-04-30 23:21:40 EDT
(In reply to comment #3)
> (In reply to comment #2)
> > Though Pod-tests are not really important, this doesn't necessarily provide
> > trust into this package's quality.
>  
> Well, IMHO any failure in %check is a blocker until it is known why the test
> fails.  The tests are there for a reason.  If the test reveals a bug (in the
> software package, not the buildsystem or Fedora) - and it is deemed minor to the
> operation of the package, it should be reported upstream and the test failure
> should be commented in the spec file as a known problem.
> 
> If the failure is a bug in the test itself or the test is invalid, the test
> should be removed (with a proper comment in the spec file) or fixed.  It should
> also be reported upstream.
> 
> Blindly ignoring failures is never a good thing.

Oh I agree -- and this isn't just ignoring it.  The "falure" this test reports
is that the new() method isn't documented...  These tests are development aids,
a easy way for the developer to check to make sure they documented everything. 
A "fail" here doesn't say anything about the code, or its quality -- aside from
any conclusions we may want to draw from it -- just that one or more methods
have no documentation, and the other ones have (potentially bad) documentation.

It's important to note that when run by default, as _upstream_ defines default,
these tests are skipped.  By not defining TEST_POD=1, we're just running the
suite as intended.

/me hands back the soapbox :)
Comment 5 Bernard Johnson 2007-05-02 15:34:20 EDT
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: FC-6 / i386
 [x] Rpmlint output: None
 [x] Package is not relocatable.
 [x] Buildroot is correct
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL or Artistic
 [-] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     MD5SUM this package    : 7eaf266174d4bf2b66f98db28c291b15
     MD5SUM upstream package: 7eaf266174d4bf2b66f98db28c291b15
 [x] Package is not known to require ExcludeArch, OR:
     Arches excluded:
     Why:
 [x] All build dependencies are listed in BuildRequires, except for any that are
listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [-] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: FC-6 / i386
 [-] Package should compile and build into binary rpms on all supported
architectures.
     Tested on:
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files are correct.
 [-] File based requires are sane.


=== Issues ===
1.

=== Final Notes ===
1.


================
*** APPROVED ***
================
Comment 6 Chris Weyl 2007-05-02 16:14:59 EDT
New Package CVS Request
=======================
Package Name: perl-Text-SimpleTable
Short Description: Simple Eyecandy ASCII Tables
Owners: cweyl@alumni.drew.edu
Branches: FC-5, FC-6, devel
InitialCC: fedora-perl-devel-list@redhat.com
Comment 7 Chris Weyl 2007-05-04 11:15:35 EDT
Imported and building.  Thanks for the review! :)
Comment 8 Iain Arnell 2010-08-25 01:51:20 EDT
Package Change Request
======================
Package Name: perl-Text-SimpleTable
New Branches: el6
Owners: iarnell tremble
InitialCC: perl-sig
Comment 9 Kevin Fenzi 2010-08-25 13:13:30 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.